<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		rodrigo.hernandez
@version		1.0
@description	test para simular llamado a casos de uso:
                - CU-SA-AC-029
                - CU-SA-AC-056
                - CU-SA-AC-061
                desde la pagina de CU-SA-AC-025        


  
@ManagedBean 	
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="../../templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::test page for cu-sa-ac-025::.
    </ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />



        <h:form id="calcularCostosHonorariosAvaluoForm">
            <p:messages showDetail="false" globalOnly="false" />


            <p:commandLink
                value="Generar documento de liquidación de costo de avalúo"
                action="#{testsAvaluos.cargarGenerarDocumentoDeLiquidacionCostoAvaluoCU029}"
                update=":generarDocLiquidacionAvaluoForm"
                oncomplete="generarDocumentoLiquidacionCostoAvaluosWV.show(); statusDialog2.hide();"
                styleClass="commandLinkStyle" onstart="statusDialog2.show();">
            </p:commandLink>
            <br />
            <br />
            <br />

            <p:commandLink value="Generar documento de aprobacion" immediate="true"
                           action="#{testsAvaluos.cargarGenerarDocumentoAprobacionCU056}"
                           oncomplete="documentoAprobacionWV.show();"
                           update=":generarDocumentoAprobacionForm"
                           styleClass="commandLinkStyle">
            </p:commandLink>

            <br />
            <br />
            <br />

            <p:commandLink
                value="CU-061 Generar Oficio para Interventor del avaluador"
                oncomplete="generarOficioInterventorDelAvaluadorWV.show();"
                action="#{testsAvaluos.cargarGenerarOficioInterventorDelAvaluadorCU061}"
                update=":generarOficioInterventorDelAvaluadorForm"
                styleClass="commandLinkStyle"
                immediate="true">
            </p:commandLink>

            <br />
            <br />
            <br />

            <p:commandLink
                value="CU-030 Generar Oficio para territorial de costos honorarios"
                oncomplete="generarOficioTerritorialCostosHonorariosWV.show();"
                action="#{testsAvaluos.cargarGenerarOficioTerritorialCostosHonorariosCU030}"
                update=":generarOficioInterventorDelAvaluadorForm"
                styleClass="commandLinkStyle"
                immediate="true">
            </p:commandLink>




        </h:form>

        <!--Dialodo para el CU 056-->
        <p:dialog dynamic="true" appendToBody="true" 
                  height="500" width="900"
                  header="Generar documento de aprobación avalúo para solicitante"
                  widgetVar="documentoAprobacionWV">
            <ui:include src="/avaluos/controlCalidad/generarDocumentoAprobacion.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA LLAMAR A PAGINA DE CU-029 Generar Documento de Liquidación Costo Avalúo -->
        <p:dialog header="Generar documento de liquidación de costo de avalúo"
                  widgetVar="generarDocumentoLiquidacionCostoAvaluosWV"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="900">
            <ui:include
                src="/avaluos/controlCalidad/generarDocumentoLiquidacionCostoAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA LLAMAR A PAGINA DE CU-061 Generar Oficio para Interventor del avaluador -->
        <p:dialog dynamic="true" appendToBody="true" height="500" width="980"
                  header="Oficio para interventor del contrato del avaluador"
                  widgetVar="generarOficioInterventorDelAvaluadorWV">
            <ui:include
                src="/avaluos/controlCalidad/generarOficioInterventorDelAvaluador.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA LLAMAR A PAGINA DE CU-030 Generar oficio para territorial de costos honorarios -->
        <p:dialog dynamic="true" appendToBody="true" height="500" width="980"
                  header="Oficio para territorial de costos honorarios"
                  widgetVar="generarOficioTerritorialCostosHonorariosWV">
            <ui:include
                src="/avaluos/controlCalidad/generarOficioTerritorialCostosHonorarios.xhtml" />
        </p:dialog>


        <!-- CC PARA INFORMACION DE LA SOLICITUD -->
        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <!-- DIALOG PARA INFORMACION DEL SOLICITANTE -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE DOCUMENTOS DE LA SOLICITUD -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>


        <!-- DIALOG PARA INFORMACION PREDIAL -->
        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- CC PARA INFORMACION DETALLADA DE PREDIOS -->
        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- DIALOG PARA INFORMACION DE DEPARTAMENTOS Y MUNICIPIOS DE LOS PREDIOS DE UN AVALUO -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE AVALUADORES ASIGNADOS -->
        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <!-- CC DE CONFIRMACION PARA CREACION DE COMITE DE AVALUOS -->
        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro que el trámite requiere comité de avalúos?"
            confirmDialogWV="confirmaComiteWV"
            voidActionOnYes="#{realizaInformeControlCalidad.mostrarActaComite}"
            yesLabel="Aceptar" noLabel="Cancelar" />

        <!-- CC PARA VISUALIZAR DOCUMENTOS -->
        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{administracionDocumentacionAvaluoComercial.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

        <!-- CC PARA MOSTRAR DOCUMENTO -->
        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonEnabled="false"
                                       urlDocumento="#{previsualizacionDocumento.reporteDTO.urlWebReporte}"
                                       fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}" />

        <!-- VISOR GEOGRAFICO -->
        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define>
</ui:composition>

